--- title: "List a Specific Browser Grid" url: https://docs.catalyst.zoho.com/en/api/code-reference/smartbrowz/browser-grid/list-specific-grid/ description: "This API enables you to list a specific browser grid present in your project." last_updated: 2026-08-28T06:26:16Z service: SmartBrowz type: api --- ## List a Specific Browser Grid ### Description You can use this API to list the details of a specific browser grid created in your project. The required grid will be referred to using its Grid ID. ### Request Details #### Request URL `GET` {api-domain}/browser360/v1/project/{project_id}/browser-grid/{grid_id} - **api-domain** (URL): The DC-specific domain to access Catalyst API - **project_id** (Numerical): The [unique ID](https://docs.catalyst.zoho.com/en/getting-started/set-up-a-catalyst-project/general-settings/) of the project - **grid_id** (Numerical): The [unique ID](https://docs.catalyst.zoho.com/en/smartbrowz/help/browser-grid/create-grid/) to refer to the required grid #### Scope ZohoCatalyst.grid.read #### Request Headers **Authorization:** Zoho-oauthtoken {oauth_token} **Content-Type:** application/json **CATALYST-ORG:** Provide the value of your [Org ID](https://docs.catalyst.zoho.com/en/getting-started/catalyst-organizations/). ### Response Details You will receive a response containing details of a specific grid. > **Notice:** Any Browser action or operation that you code using the Browser Logic function, or any browser automation or web scraping task that you perform using any component of **Catalyst SmartBrowz** is at your own risk. We strongly recommend you use the SmartBrowz components to perform operations on domains that permit the actions, or with proper approval. Additionally, while Catalyst does provide a secure infrastructure to code your functions, any consequence of the logic you code using Catalyst functions is yours alone. **CURL Request - Get Specific Grid** ```json curl -X PUT 'https://api.catalyst.zoho.com/browser360/v1/project/38119000000022053/browser-grid/3970000000006058' \ -H 'CATALYST-ORG: 111737956' \ -H 'Connection: keep-alive' \ -H 'Content-Type: application/json' \ -H 'Authorization: Zoho-oauthtoken 1000********************************************780' \ -d '{ "name": "grid_2", "memory": 1024, "max_nodes_count": 10, "max_session_count": 1, "endpoint_type": 1, "config_type": 1 }' ``` **Example Response** ```json { "status": "success", "data": { "id": "3970000000006058", "name": "play2", "memory": 1024, "browser_version": { "chrome_version": "137.0.7515.155", "firefox_version": "136.0.4" }, "created_time": "Sep 10, 2025 07:04 PM", "modified_time": "Sep 24, 2025 11:55 AM", "api_key_modified_time": "1757511270919", "created_by": { "zuid": "111734674", "is_confirmed": false, "email_id": "emmy@zylker.com", "first_name": "Headless", "last_name": "2", "user_type": "SuperAdmin" }, "modified_by": { "zuid": "111734674", "is_confirmed": false, "email_id": "emmy@zylker.com", "first_name": "Headless", "last_name": "2", "user_type": "SuperAdmin" }, "project_details": { "project_name": "Project-Rainfall", "id": "38119000000022053", "project_type": "Live" }, "endpoint_type": 1, "max_session_count": 1, "max_nodes_count": 10, "max_concurrent_count": 10, "config_type": 1 } } ``` ### SDK Documentation [Get Specific Browser Grids - Java SDK](https://docs.catalyst.zoho.com/en/sdk/java/v1/smartbrowz/browser-grid/get-specific-grid/) [Get Specific Browser Grids - Node.js SDK](https://docs.catalyst.zoho.com/en/sdk/nodejs/v2/smartbrowz/browser-grid/get-specific-grid/) [Get Specific Browser Grids - Python SDK](https://docs.catalyst.zoho.com/en/sdk/python/v1/smartbrowz/browser-grid/get-specific-grid/)